Contents
Index 🔎︎

# Round Function [VBA]

The Round function returns a number rounded to a specified number of digits.

This function or constant is enabled with the statement Option VBASupport 1 placed before the executable program code in a module.

### Syntax:

            Round( expression as Double [,numdecimalplaces as Integer] )

### Return value:

Double

### Parameters:

expression: Required. The numeric expression to be rounded.

numdecimalplaces: Optional. Specifies how many places to the right of the decimal are included in the rounding. Default is 0.

## Error codes:

5 Ejjatoo fashalaan waamu

### Example:

            REM ***** BASIC *****
            Option VBASupport 1
            Sub Example_Round
             Dim r
             r = Pi
             print r ' 3,14159265358979
             print Round(r, 5) ' 3,14159
             r = exp(1)
             print r ' 2,71828182845904
             print Round(r) ' 3
            End Sub

Matadureewwan Walfakkatan

Calc ROUND function

VBA Mathematical functions